
{
  description = "A simple hybrid renderer";

  inputs = {
    nixpkgs.url     = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };
        venv = ".venv";
      in {
        devShells.default = pkgs.mkShell {
          name = "kale";

          packages = with pkgs; [
            sdl3
            sdl3-image
            imgui
            glm
            gcc
            shaderc
            gnumake
          ];

        };
    }
  );
}
